package me.eater.threedom.dom.event

import me.eater.threedom.dom.INode
import me.eater.threedom.kapt.EventName

sealed class NodeClassListUpdate {
    abstract val node: INode<*>

    @EventName("NodeClassesRemoved")
    class Removed(val classNames: Set<String>, override val node: INode<*>) : NodeClassListUpdate()

    @EventName("NodeClassesAdded")
    class Added(val classNames: Set<String>, override val node: INode<*>) : NodeClassListUpdate()
}
